Bug 105400 - DFG Arrayify slow path should be out-of-line
Summary: DFG Arrayify slow path should be out-of-line
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Filip Pizlo
URL:
Keywords:
Depends on: 105401
Blocks: 105624
  Show dependency treegraph
 
Reported: 2012-12-19 01:03 PST by Filip Pizlo
Modified: 2012-12-21 14:35 PST (History)
13 users (show)

See Also:


Attachments
work in progress (25.88 KB, patch)
2012-12-19 01:04 PST, Filip Pizlo
no flags Details | Formatted Diff | Diff
the patch (27.90 KB, patch)
2012-12-20 15:43 PST, Filip Pizlo
barraclough: review+
webkit-ews: commit-queue-
Details | Formatted Diff | Diff
patch for landing (30.62 KB, patch)
2012-12-21 02:20 PST, Filip Pizlo
no flags Details | Formatted Diff | Diff
patch for landing (29.91 KB, patch)
2012-12-21 02:21 PST, Filip Pizlo
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Pizlo 2012-12-19 01:03:21 PST
Patch forthcoming.
Comment 1 Filip Pizlo 2012-12-19 01:04:17 PST
Created attachment 180114 [details]
work in progress
Comment 2 Filip Pizlo 2012-12-20 15:43:39 PST
Created attachment 180425 [details]
the patch
Comment 3 Early Warning System Bot 2012-12-20 15:49:19 PST
Comment on attachment 180425 [details]
the patch

Attachment 180425 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/15456183
Comment 4 Early Warning System Bot 2012-12-20 15:50:54 PST
Comment on attachment 180425 [details]
the patch

Attachment 180425 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/15461112
Comment 5 EFL EWS Bot 2012-12-20 15:51:04 PST
Comment on attachment 180425 [details]
the patch

Attachment 180425 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/15464100
Comment 6 Gavin Barraclough 2012-12-20 15:54:10 PST
Comment on attachment 180425 [details]
the patch

r+ with green bots & no testapi change.
Comment 7 Filip Pizlo 2012-12-21 02:20:22 PST
Created attachment 180496 [details]
patch for landing

Will wait to see if the build systems are happy.
Comment 8 Filip Pizlo 2012-12-21 02:21:38 PST
Created attachment 180497 [details]
patch for landing
Comment 9 WebKit Review Bot 2012-12-21 02:51:15 PST
Comment on attachment 180497 [details]
patch for landing

Attachment 180497 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/15457365
Comment 10 Filip Pizlo 2012-12-21 14:35:51 PST
Landed in http://trac.webkit.org/changeset/138399